Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/CO2.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/CO2.nml	(revision 3743)
+++ 	(revision )
@@ -1,97 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! ROUTINE: CO2
-!
-! DESCRIPTION
-!   List of parameters values
-!
-! INTERFACE
-! parameter values for mem_CO2 filled by InitCO2
-!
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2007 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-
-&CO2_parameters
-! Initial CO2 concentration in the air [ppm]
-   AtmCO20 = 370.0E0
-! Compute the partial pressure of Atmospheric CO2
-   calcAtmpCO2 = .FALSE.
-   pCO2Method = 1  ! 1=MixRatio*slp, 2=Magnus formula 
-!-----------------------------------------------------------------------------------!
-! Read external data for atmospheric CO2 values  
-          ! Read  !   File   ! NetCDF  !  Var    !  RefTime   ! Input      !   Time   !
-          ! Input !   name   ! Logical !  name   !  yyyymmdd  ! Frequency  !  interp  !
-!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.nc' , .TRUE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
-!AtmCO2_N =    2  , 'CMIP5_Historical_GHG_1765_2005.dat' , .FALSE.  , 'CO2'   , '1764-07-01 00:00' ,  'yearly'  ,  .TRUE.  
-! Read external data for atmospheric SLP 
-AtmSLP_N  =    0  , 'AtmSLP.nc' , .TRUE.  ,'AtmSLP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
-AtmTDP_N  =    0  , 'AtmTDP.nc' , .TRUE.  ,'AtmTDP' , '1764-07-01 00:00'  , 'dummy' ,  .TRUE.  
-!-----------------------------------------------------------------------------------!
-
-! Initial pH value
-   phstart = 8.10E0
-
-! Choice of the acidity constants parameterization
-! K1K2==1 Roy et al. (1993); DOE (1994); pH on total scale
-! K1K2==2 Default
-!         Mehrbach et al (1973) refit by Dickson & Millero (1987)
-!         OCMIP STANDARD; pH on Sea Water Scale
-! K1K2==3 Mehrbach et al (1973) refit by Lueker et al. (2000)
-!         pH on total scale
-! K1K2==4 Hansson (1973b) data as refitted by Dickson and 
-!         Millero (1987); pH on Sea Water Scale
-   K1K2 = 2
-
-! Choice of [H+] numerical computation
-! MethodCalcCO2=1 Approximate static solution
-! MethodCalcCO2=2 Default. Standard OCMIP iteration
-! MethodCalcCO2=3 Follows et al., Ocean Modelling 2006
-!
-! Parameters for MethodCalcCO2=2
-! M2XACC    :  accuracy of the iterative scheme for OCMIP (default 1.E-10)
-! M2PHDELT  :  delta of pH for the root search (realized pH+/-DELT)
-!              in the OCMIP scheme (default 0.5)
-! M2MAXIT   :  maximum number of iterations for OCMIP (default 100 )
-!
-   MethodCalcCO2 = 2
-          M2XACC = 1.0E-10
-        M2PHDELT = 0.3
-         M2MAXIT = 100
-!
-! Calcium ion concentration
-!     [from : "Seawater : Its composition, properties and behaviour"
-!      (2nd Edition), Open University Course Team, 1995]
-!     seawater concentration    = 412 mg / l
-!     atomic weight             = 40.078 g / mol
-!     therefore, concentration  = 10.279 mmol / l
-!                               = 10.279 mol / m3
-        Caconc0 = 10.279E0
-! Normalize Calcium ion concentration by sea water salinity
-        Canorm  = .TRUE.
-/
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/LightAdaptation.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/LightAdaptation.nml	(revision 3743)
+++ 	(revision )
@@ -1,55 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: LightAdaptation
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_LightAdaptation filled by InitLightAdaptation
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!  p_isw:  	 Switch between parameterizations
-!  p_chEPLi:  	 Maximum Iopt (W/m2)
-!        :  	    p_clEPLi    =      4.0,    6.0,    5.0,    8.0	# Minimum Iopt (W/m2)
-!  p_clEPLi:  	 Minimum Iopt (W/m2)
-!        :  	    p_ruEPLi    =      0.25,    0.25,   0.5,    0.125	# Maximum daily shift in Iopt (1/d)
-!  p_ruEPLi:  	 Maximum daily shift in Iopt (1/d)
-!  p_addepth:  	 Adaptation depth. Meaningless with high-res models
-
-&LightAdaptation_parameters
-      p_isw = 	1,	1,	1,	1
-  p_addepth = 	50.0,	50.0,	50.0,	50.0
-  p_chEPLi  = 	100.0,	100.0,	100.0,	100.0
-  p_clEPLi  = 	8.0,	10.0,	6.0,	12.0
-  p_ruEPLi  = 	0.2,	0.25,	0.3,	0.15
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/MesoZoo.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/MesoZoo.nml	(revision 3743)
+++ 	(revision )
@@ -1,86 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: MesoZoo
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_MesoZoo filled by InitMesoZoo
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!        :
-!        :  	 The variable Z3 represents carnivorous mesozooplankton and Z4 represents
-!        :  	 omnivorous mesozooplankton.
-!        :
-!  p_q10:  	 Doubling temperature
-!  p_srs:  	 Respiration rate at 10 degrees C
-!  p_sum:  	 Maximal productivity at 10 degrees C
-!  p_sd:  	 Background natural mortality
-!  p_vum:  	 Specific search volume
-!  p_puI_u:  	 Assimilation efficiency
-!  p_peI_R6:  	 Faeces production
-!  p_sdo:  	 Fractional density-dependent mortality
-!  p_sds:  	 Exponent of density-dependent mortality
-!  p_qpc:  	 Quotum phosphate
-!  p_qnc:  	 Quotum nitrate
-
-&MesoZoo_parameters
-!		Z3	Z4
-       p_q10 =	2.0,	2.0
-       p_srs =	0.01,	0.02
-        p_sd = 	0.01,	0.01
-       p_sum = 	1.6,	2.0
-       p_vum = 	0.016,	0.008
-     p_puI_u = 	0.8,	0.6
-    p_peI_R6 = 	0.2,	0.4
-       p_sdo = 	4.d-4,	4.d-4
-       p_sds = 	2.0,	2.0
-       p_qpc = 	1.67d-3,1.67d-3
-       p_qnc = 	0.015,	0.015
-     p_clO2o = 	30.0,	30.0
-!		P1	P2	P3	P4
-!	Z3
- p_puPI(1,:) =	0.0,	0.0,	0.0,	0.0
-!	Z4
- p_puPI(2,:) =	1.0,	0.25,	0.0,	0.0
-!		Z5	Z6
-!	Z3
-p_puMIZ(1,:) =	0.0,	0.0
-!	Z4
-p_puMIZ(2,:)=	1.0,	0.0,
-!		Z3	Z4
-!	Z3
-p_puMEZ(1,:)=	1.0,	1.0
-!	Z4
-p_puMEZ(2,:)=	0.0,	1.0
-
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/MicroZoo.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/MicroZoo.nml	(revision 3743)
+++ 	(revision )
@@ -1,93 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: MicroZoo
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_MicroZoo filled by InitMicroZoo
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!        :
-!        :  	 The variable Z5 represents microozooplankton and Z6 represents
-!        :  	 heterotrophic nanoflagellates (HNAN)
-!        :
-!  p_q10:  	 Q10 value
-!  p_srs:  	 Respiration rate at 10 degrees Celsius
-!  p_sum:  	 Max. rel daily uptake as a fraction of biomass
-!  p_sdo:  	 Mortality due to oxygen limitation
-!  p_sd:  	 Temperature independent mortality
-!  p_pu_ra:  	 Activity respiration
-!  p_pu_ea:  	 Activity excretion
-!  p_chro:  	 Oxygen saturation where respiration is 0.5
-!  p_chuc:  	 Food concentration where total uptake rate is 0.5
-!  p_minfood:  	 Concentration below which feeding on a particular
-!        :  	 foodsource is depressed
-!  p_qn_mz:  	 Maximum quotum P
-!  p_qp_mz:  	 Maximum quotum N
-!  p_suPI(P1):  	 /day   #relative P1 uptake by zoo
-!  p_suPI(P2):  	 /day   #relative P2 uptake by zoo
-!  p_suPI(P3):  	 /day   #relative P3 uptake by zoo
-!  p_suPI(P4):  	 /day   #relative P4 uptake by zoo
-!  p_suZI(Z5):  	 /day   #relative Z5 uptake by zoo
-!  p_suZI(Z6):  	 /day   #relative Z6 uptake by zoo
-!  p_suB1:  	 /day   #relative B1 uptake by zoo
-
-!       	Z5	Z6
-&MicroZoo_parameters
-       p_q10 = 	2.0,	2.0
-       p_srs = 	0.02,	0.02
-       p_sum = 	2.0,	10.0
-       p_sdo = 	0.05,	0.05
-        p_sd = 	0.0,	0.0
-     p_pu_ra = 	0.25,	0.35
-     p_pu_ea = 	0.25,	0.35
-      p_chro = 	7.8,	7.8
-      p_chuc = 	30.0,	100.0
-   p_minfood = 	10.0,	50.0
-     p_qp_mz = 	1.85d-3,1.85d-3
-     p_qn_mz = 	1.67d-2,1.67d-2
-! Food matrix parameters: take care of the notation
-!		P1	P2	P3	P4
-!	Z5
- p_suPI(1,:) =	0.0,	1.0,	0.1,	0.0
-!	Z6
- p_suPI(2,:) =	0.0,	0.2,	1.0,	0.0
-!		Z5	Z6
-!	Z5
- p_suZI(1,:) = 	1.0,	1.0
-!	Z6
- p_suZI(2,:) = 	0.0,	0.2
-!		Z5	Z6
-      p_suB1 = 	0.1,	1.0
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Param.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Param.nml	(revision 3743)
+++ 	(revision )
@@ -1,128 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: Param
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_Param filled by InitParam
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-&Param_parameters
-                    p_small = 1.0e-20
-                  p_q10diff = 1.49
-                      p_qro = 0.5
-               p_qon_dentri = 1.25
-                p_qon_nitri = 2.0
-                    p_clDxm = 0.001
-       CalcConservationFlag = .FALSE.
-          CalcTransportFlag = .TRUE.
-            CalcPelagicFlag = .TRUE.
-            CalcBenthicFlag = 0
-                    p_poro0 = 0.7 
-       CalcPhytoPlankton(1) = .TRUE.
-       CalcPhytoPlankton(2) = .TRUE.
-       CalcPhytoPlankton(3) = .TRUE.
-       CalcPhytoPlankton(4) = .FALSE.
-               CalcBacteria = .TRUE.
-     CalcMesoZooPlankton(1) = .TRUE.
-     CalcMesoZooPlankton(2) = .TRUE.
-    CalcMicroZooPlankton(1) = .TRUE.
-    CalcMicroZooPlankton(2) = .TRUE.
-           CalcPelChemistry = .TRUE.
-AssignPelBenFluxesInBFMFlag = .TRUE.
-AssignAirPelFluxesInBFMFlag = .TRUE.
-                      p_PAR = 0.40
-                       slp0 = 1013.25E0
-               ChlLightFlag = 2
-           ChlSynthesisFlag = 1
-        ProductionLightFlag = 1
-          LightLocationFlag = 3
-                     p_eps0 = 0.0435
-                   p_epsESS = 0.04d-3
-                 p_InitSink = 100.0
-                    p_d_tot = 0.30
-                  p_d_tot_2 = 0.35
-                  p_clD1D2m = 0.01
-                   p_pe_R1c = 0.60
-                   p_pe_R1n = 0.72
-                   p_pe_R1p = 0.832
-                   p_pe_R1s = 0.06
-                  p_epsChla = 3.0d-2
-                    p_epsR6 = 0.1d-3
-          check_fixed_quota = 0
-!				P1	P2	P3	P4
-                    p_qchlc = 	0.025,	0.015,	0.02,	0.02
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!  p_q10diff:  	 Temperature-dependency porewater diffusion
-!  p_qro:  	 stoichiometry O2-->S2-
-!  p_qon_dentri:  	 stoichiometry O2-->N denitrification
-!  p_qon_nitri:  	 stoichiometry O2-->N nitrification
-!  p_clDxm:  	 minimal value of D?.m for calculation of the alpha
-!        :  	 alpha is used in expo.func and values > 1/0.001 leadt
-!  CalcPelagicFlag:  	 Switch for pelagic system
-!  CalcBenthicFlag:  	 Switch for benthic system
-!  CalcTransportFlag:    Switch for transport
-!  CalcConservationFlag:    Switch for mass conservation check
-!  CalcPhytoPlankton:  	 Switches to turn on/off the calculation of pelagic groups
-!  CalcBacteria:
-!  CalcMesoZooPlankton:
-!  CalcMicroZooPlankton:
-!  CalcPelChemistry:
-!  CalcBenOrganisms:  	 Switches to turn on/off the calculation of benthic organisms
-!  CalcBenBacteria:
-!  AssignPelBenFluxesInBFMFlag:  	 Switches to make choice to define boundary
-!  AssignAirPelFluxesInBFMFlag:  	 fluxes in physical of biological model
-!        :  	     dim2D%
-!  p_PAR:  	 Photosynthetically available radiation
-!  ChlLightFlag:  	 Switch between light prop.(=1) or Chla.(=2) as a state
-!  ChlSynthesisFlag:  	 Switch between types of chl synthesis
-!                        1. PELAGOS; 2. OPATM-BFM; 3. UNIBO
-!  ProductionLightFlag:  Switch between instantaneous light production (=1) 
-!                        and daylength averaged production (=2)
-!  LightLocationFlag:    Switch between different depth-parameterizations
-!  p_qchlc(PhytoPlankton):  Fixed/Maximum quotum Chla:C dependent on 
-!                           ChlLightFlag [mg Chla (mg C)-1]
-!                           p_qchlc%   0.05, 0.03,  0.07,  0.02
-!  p_eps0:  	 Background extinction (abiotic)
-!  p_epsESS:  	 Inorg. suspended matter extinction coeff. (abiotic)
-!  p_InitSink:   parameter to Initialize BenthicSInk var.
-!  p_d_tot:  	 m # Max Thickness of the denitrification layer
-!  p_d_tot_2:  	 m # Thickness of modelled benthic sediment layers
-!  p_clD1D2m:  	 m # minimum distancebetween D1m and D2m
-!  p_pe_R1c:  	 Fraction of excretion going to PLOC
-!  p_pe_R1n:  	 Fraction of excretion going to PLOC
-!  p_pe_R1p:  	 Fraction of excretion going to PLOC
-!  p_epsChla:  	 Chla-contribution to extinction
-!  p_epsR6:  	 (m2/mgC) # Detritus-contribution to extinction
-!  check_fixed_quota       Check whether zooplankton have fixed quota
-!  p_poro0:      Constant porosity for 0D and 1D runs
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelBac.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelBac.nml	(revision 3743)
+++ 	(revision )
@@ -1,84 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: PelBac
-!
-! DESCRIPTION
-!   List of parameters values
-!
-! !AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2008 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!  p_version:  	 Switch for DOM uptake parameterization
-!        :  	 p_version=1 Polimene et al., 2006
-!        :  	 p_version=2 <BFM> standard version
-!  p_q10:  	 Q10-value (temperature dependency)
-!  p_chdo:  	 Michaelis const for O2 dependence (mmol/m3)
-!  p_sd:  	 Independent specific mortality (1/d)
-!  p_sd2:  	 Density dependent mortality (value: 0.009) (1/d)
-!  p_suR1:  	 Specific potential DOM availability (1/d)
-!  p_suR2:  	 Specific potential DOM availability (1/d)
-!  p_suR6:  	 Availability of POM (1/d)
-!  p_sum:  	 Specific potential uptake (1/d)
-!  p_pu_ra:  	 Activity respiration (-)
-!  p_pu_ra_o:  	 Decrease in Ass. efficiency at low O2 conc (-).
-!  p_srs:  	 Specific rest respiration (1/day)
-!  p_qnc:  	 Optimal N/C ratio (model units) 45:9:1
-!  p_qpc:  	 Optimal P/C ratio (model units) C:N:P
-!  p_qlnc:  	 Minimal N/C ratio (model units) 45:9:1 <BFM>
-!  p_qlpc:  	 Minimal P/C ratio (model units) C:N:P (BFM>
-!  p_qun:  	 nutrient affinity ( mmol/mgC/day) <BFM>
-!  p_qup:  	 nutrient affinity ( mmol/mgC/day) <BFM>
-!  p_lN4:  	 ammonium conc. at which nutrate uptake are equal (BFM)
-!  p_pu_ea_R7:   excretion of reg. org. met. (-) <POLIMENE>
-
-&PelBac_parameters
-  p_version = 2
-      p_q10 = 2.95
-     p_chdo = 30.0
-       p_sd = 0.0
-      p_sd2 = 0.009
-    p_suhR1 = 0.5
-    p_sulR1 = 0.25
-     p_suR2 = 0.05
-     p_suR6 = 0.02
-      p_sum = 8.4
-    p_pu_ra = 0.6
-  p_pu_ra_o = 0.2
- p_pu_ea_R7 = 0.015
-      p_srs = 0.01
-      p_qpc = 1.9d-3
-    p_qlpc  = 9.5d-4
-      p_qnc = 1.2d-2
-     p_qlnc = 6.0d-3
-      p_qun = 0.050
-      p_qup = 0.0050,
-      p_lN4 = 0.05
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!EOP
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelChem.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelChem.nml	(revision 3743)
+++ 	(revision )
@@ -1,49 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: PelChem
-!
-! DESCRIPTION
-!   List of parameter values for peagic chemistry
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-&PelChem_parameters
-    p_sN4N3 = 0.01
-  p_q10N4N3 = 2.367
-  p_q10R6N5 = 1.49
-      p_rOS = 0.05
-    p_clO2o = 10.0
-    p_clN6r = 1.0
-   p_sN3O4n = 0.35
-     p_rPAo = 1.0
-    p_sR6N5 = 0.02
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelGlobal.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PelGlobal.nml	(revision 3743)
+++ 	(revision )
@@ -1,48 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! ROUTINE: PelGlobal
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_PelGlobal filled by InitPelGlobal
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!  p_rR6m:  	 m/d   # detritus sinking rate
-!  p_rPIm:  	 m/d   # phytoplankton background sinking rate
-
-&PelGlobal_parameters
-  p_rR6m = 1.5
-!		P1	P2	P3	P4
-  p_rPIm = 	0.0, 	0.0, 	0.0, 	0.0
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PhotoAvailableRadiation.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/PhotoAvailableRadiation.nml	(revision 3743)
+++ 	(revision )
@@ -1,46 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: PhotoAvailableRadiation
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_PhotoAvailableRadiation filled by InitPhotoAvailableRadiation
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   
-!   Copyright (C) 2006 P. Ruardij, the mfstep group, the ERSEM team 
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!  p_iswLtyp:  	 Shape of the productivity function
-
-&PAR_parameters
-!		P1	P2	P3	P4
-  p_iswLtyp = 	5,	5,	5,	5
-/
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Phyto.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Phyto.nml	(revision 3743)
+++ 	(revision )
@@ -1,120 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! !ROUTINE: Phyto
-!
-! DESCRIPTION
-!   List of parameter values
-!   for mem_Phyto filled by InitPhyto
-!
-! AUTHORS
-!   the BFM team
-!
-! COPYING
-!   Copyright (C) 2008 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!        :
-!        :  	 ---------------- Physiological parameters -----------------
-!        :
-!  p_q10:  	 Doubling temperature
-!  p_sum:  	 Maximal productivity at 10 degrees C
-!  p_srs:  	 Respiration rate at 10 degrees C
-!  p_sdmo:  	 Max.specific nutrient-stress lysis rate
-!  p_thdo:  	 Half value for nutrient stress lysis
-!  p_seo:  	 Extra lysis rate for high density cells
-!  p_sheo:  	 Half value for density stress lysis
-!  p_pu_ea:  	 Fraction of pp excreted as PLOC/PDET
-!  p_pu_ra:  	 Activity respiration rate
-!        
-!         	 ---------------- Nutrient parameters in phytoplankton -----------------
-!       
-!  p_netgrowth:  logical switch for nutrient-limited growth (true is default)
-!  p_limnut:  	 switch for nut. limitation (Liebig is default)
-!  p_chPs:  	 half-value of SIO4-lim (mmol Si m-3)
-!  p_qslc:  	 Minimum quotum Si in PI
-!  p_qsRc:  	 Reference quotum Si in PI
-!  p_qus:  	 affinity of PI for Si
-!  p_alpha_chl:  	 Initial slope P-I curve
-!      
-!       	 ------------- Chlorophyll parameters -----------
-!       	 skel: Skeletonema costatum pav: Pavlova lutheri
-!       	 syn: Synechoccus sp. (significant alpha decrease with irradiance)
-!       	 gyr: Gyrodinium sp. iso: Isochrysis galbana
-!       	             skel     iso      syn      gyr
-!  p_sdchl:  	 Specific turnover rate for Chla (d-1)
-!       	p_qchlc =    0.03,    0.025,   0.1,     0.02    # Maximum quotum Chla:C
-!       	            +-0.024  +-0.001  +-0.003  +-0.004
-!       	 Thalassiosira sp. (0.05+-0.01)
-!       	             skel     pav      syn      gyr
-!  p_esNI:  	 Nutrient stress threshold for Sinking
-!       	p_alpha_chl = 1.0d-5, 0.46d-5*2.0, 2.0d-5, 0.68d-5 # Initial slope P-I curve
-!       	 Thalassiosira sp. (0.48-0.63)
-!  p_res:  	Maximum Sinking velocity (m/d)
-!  p_qchlc  = 0.05,      0.03,      0.07,      0.02 # Maximum quotum Chla:C
-!       	 ------------- silicate limitation control: -----------
-!             p_qus > 0.0  : silica limitation is controlled by internal quoata
-!             if p_qus\=0  : simple MM limitation on external concentration
-!                            p_chPs must have a number or an error is generated!
-!                ------------- Iron parameters -----------
-!                conc.=[umol/m3] ratio=[umol Fe/mg C]
-!  p_qflc:       min Fe:C ratio derived from 3 umol Fe/mol C
-!                Sunda & Huntsman (1997), Nature, 390, p 389-392
-
-!               P1	P2	P3	P4
-&Phyto_parameters
-     p_limnut = 1,	1,	1,	1
-  p_netgrowth = .FALSE.,.FALSE.,.FALSE.,.FALSE.
-        p_q10 = 2.0,	2.0,	2.0,	2.0
-        p_sum = 2.0,	2.5,	3.0,	0.5
-        p_srs = 0.01,	0.05,	0.1,	0.1
-       p_sdmo = 0.05,	0.05,	0.05,	0.0
-        p_seo = 0.0,	0.0,	0.0,	0.0
-       p_sheo = 0.0,	0.0,	0.0,	100.0
-      p_pu_ea = 0.05,	0.2,	0.2,	0.15
-      p_pu_ra = 0.1,	0.2,	0.25,	0.1
- p_switchR1R2 = 1.0,	1.0,	1.0,    1.0
-       p_qnlc = 4.193e-3,4.193e-3,4.193e-3,0.00687
-       p_qnRc = 1.26e-2,1.26e-2,1.26e-2,1.26e-2
-        p_xqn = 2.0,	2.0,	2.0,	2.0
-       p_qplc = 1.80e-4,1.80e-4,1.80e-4,4.29e-4
-       p_qpRc = 7.86e-4,7.86e-4,7.86e-4,7.86e-4
-        p_xqp = 2.0,	2.0,	2.0,	2.0
-       p_qslc = 8.5e-3,	0.0,	0.0,	0.0
-       p_qsRc = 0.01,	0.0,	0.0,	0.0
-        p_qun = 0.025,	0.025,	0.025,	0.025
-        p_qup = 0.025,	0.025,	0.025,	0.025
-        p_qus = 0.0,	0.0,	0.0,	0.0
-       p_esNI = 0.1,	0.00,	0.00,	0.00
-       p_thdo = 0.1,	0.1,	0.1,	0.1
-       p_res  = 5.0,	0.0,	0.0,	0.0
-       p_lN4  = 1.0,	1.0,	0.0,	1.0
-       p_chPs = 1.0,	0.0,	0.0,	0.0
-    p_Contois = 0.0,    0.0,    0.0,    0.0
-  p_alpha_chl = 1.38e-5, 0.46e-5, 1.52e-5, 0.68e-5
-      p_sdchl = 0.2,	0.2,	0.2,	0.2
-    p_EpEk_or = 0.0,    0.0,    0.0,    0.0
- p_tochl_relt = 0.0,    0.0,    0.0,    0.0
-/
-
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Settling.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/Settling.nml	(revision 3743)
+++ 	(revision )
@@ -1,48 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! ROUTINE: Settling
-!
-! DESCRIPTION
-!   List of parameters values
-!   for mem_Settling filled by InitSettling
-!
-! AUTHORS
-!   the BFM team
-!
-!   Copyright (C) 2006 P. Ruardij, M. Vichi
-!   (rua@nioz.nl, vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-!
-!
-!  p_burvel_R6:  	 Bottom Burial Velocity for detritus (m/d)
-!  p_burvel_R2:  	 Bottom Burial Velocity for dissolved (m/d)
-!  p_burvel_PI:  	 Bottom Burial Velocity for plankton (m/d)
-
-&Settling_parameters
-  p_burvel_R6 = 1.5,
-  p_burvel_R2 = 0.0,
-  p_burvel_PI = 0.0
-/
-
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!END namelist
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-
-!BOP
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model 
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: anches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/bfm.nml
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/bfm.nml	(revision 3743)
+++ 	(revision )
@@ -1,188 +1,0 @@
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-!BOP
-!
-! ROUTINE: Namelist for standalone
-!
-! DESCRIPTION
-!  Parameter values for module standalone filled by init_standalone
-!
-! AUTHORS
-!   Marcello Vichi and Piet Ruardij
-!
-! COPYING
-!   
-!   Copyright (C) 2008 M. Vichi and P. Ruardij
-!   (rua@nioz.nl; vichi@bo.ingv.it)
-!
-!   This program is free software; you can redistribute it and/or modify
-!   it under the terms of the GNU General Public License as published by
-!   the Free Software Foundation;
-!   This program is distributed in the hope that it will be useful,
-!   but WITHOUT ANY WARRANTY; without even the implied warranty of
-!   MERCHANTEABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-!   GNU General Public License for more details.
-!
-!EOP
-!-------------------------------------------------------------------------!
-!BOC
-
-!-------------------------------------------------------------------------!
-!NAMELIST bfm_nml
-!-------------------------------------------------------------------------!
-!Main initialisation and output specifications
-!NAME           KIND    DESCRIPTION
-!bio_calc 	logical	Switch on/off BFM (for coupled configurations)
-!bfm_init       integer Initialization state
-!                       0. from constant values in bfm_init_nml below
-!                       1. from restart
-!bio_setup	integer BFM configuration:
-!			1. pelagic
-!			2. benthic
-!			3. pelagic and benthic
-!out_fname 	string 	Name of NetCDF output file
-!out_dir 	string 	Path to the output file
-!out_title 	string 	Name of the experiment in NetCDF file
-!out_delta 	integer Output is saved every out_delta timesteps
-!-------------------------------------------------------------------------!
-&bfm_nml
-    bio_calc = .true.
-    bfm_init = 0
-   bio_setup = 1
-  bfm_rstctl = .FALSE.
-   out_fname = 'BFM_NEMO'
-     out_dir = '.'
-   out_title = 'BFM'
-   out_delta = 12 
-   parallel_log = .TRUE.
-/
-
-!-------------------------------------------------------------------------!
-!NAMELIST bfm_init_nml
-!-------------------------------------------------------------------------!
-!Pelagic initialisation
-! pelagic  (O)              O2:   Oxygen (mmol/m3)
-! pelagic  (P)              N1:   Phosphate (mmol/m3)
-! pelagic  (N)              N3:   Nitrate (mmol/m3)
-! pelagic  (N)              N4:   Ammonium (mmol/m3)
-! pelagic  (Si)             N5:   Silicate (mmol/m3)
-! pelagic  (R)              N6:   Reduction Equivalents (mmol/m3)
-! pelagic  (N)              O4:   N2-sink (mmol/m3)
-! pelagic  (CNP)            B1:   Pelagic Bacteria
-! pelagic  (CNPSiI)         P1:   Diatoms (group PhytoPlankton))
-! pelagic  (CNPSiI)         P2:   Flagellates (group PhytoPlankton))
-! pelagic  (CNPSiI)         P3:   PicoPhytoPlankton (group PhytoPlankton))
-! pelagic  (CNPSiI)         P4:   Dinoflagellates (group PhytoPlankton))
-! pelagic  (CNP)            Z3:   Carnivorous mesozooplankton (group MesoZooPlankton))
-! pelagic  (CNP)            Z4:   Omnivorous mesozooplankton (group MesoZooPlankton))
-! pelagic  (CNP)            Z5:   Microzooplankton (group MicroZooPlankton))
-! pelagic  (CNP)            Z6:   Heterotrophic nanoflagellates (HNAN) (group MicroZooPlankton))
-! pelagic  (CNPSi)          R1:   Labile Organic Carbon (LOC)
-! pelagic  (C)              R2:   CarboHydrates (sugars)
-! pelagic  (CNPSi)          R6:   Particulate Organic Carbon (POC)
-! pelagic  (C)              R7:   Refractory Disoolved Organic Carbon
-!<variablename>0 = <realvalue>
-! 
-! Initialization with InitVar structure
-! BFM variable information for data input
-! availabel fields:
-! integer init: select the initialization
-!               0 = homogeneous
-!               1 = analytical
-!               2 = from file
-! options for init==1
-! real anv1: value in the surface layer
-! real anz1: depth of the surface layer
-! real anv2: value in the bottom layer
-! real anz2: depth of the bottom layer
-! options for init==2 (not used when coupled with NEMO because 
-!                      overridden by values in namelist_top)
-! char filename: name of the input file
-! char  varname: name of the var in input file
-! Options currently used when coupled with NEMO
-! logical obc: variable has open boundary data
-! logical sbc: variable has surface boundary data
-! logical cbc: variable has coastal boundary data
-!-------------------------------------------------------------------------!
-&bfm_init_nml
-   N1p0 = 1.0,
-   N3n0 = 5.0,
-   N4n0 = 1.0,
-   N5s0 = 8.0,
-   N6r0 = 1.0,
-   O2o0 = 300.0,
-   O4n0 = 200.0,
-   P1c0 = 1.0,
-   P2c0 = 1.0,
-   P3c0 = 1.0,
-   P4c0 = 1.0,
-   Z3c0 = 1.0,
-   Z4c0 = 1.0,
-   Z5c0 = 1.0,
-   Z6c0 = 1.0,
-   B1c0 = 1.0,
-   R1c0 = 1.0,
-   R2c0 = 0.1,
-   R6c0 = 1.0,
-   R7c0 = 1.0,
-   O3c0 = 27060.00, ![mgC /m3]  2200 umol/Kg
-   O3h0 = 2660.0,   ![mmol eq/m3]  2600 umol/Kg
-/
-
-!-------------------------------------------------------------------------!
-!NAMELIST bfm_save_nml
-!-------------------------------------------------------------------------!
-!Stored variables
-!ave_save: average values over the output interval
-!var_save: instantaneous value at the output interval
-!-------------------------------------------------------------------------!
-&bfm_save_nml
-   ave_save = 'ETW','O2o','O3c','O3h',
-          'EIR',
-          'N1p',
-          'N3n',
-          'N4n',
-          'N5s',
-          'P1c',
-          'P2c',
-          'P3c',
-          'P4c',
-          'R1c',
-          'R2c',
-          'R6c',
-          'P1n',
-          'P2n',
-          'P3n',
-          'P4n',
-          'R1n',
-          'R6n',
-          'P1l',
-          'P2l',
-          'P3l',
-          'P4l',
-          'xEPS',
-          'Chla',
-          'eiPI(iiP1)',
-          'eiPI(iiP2)',
-          'eiPI(iiP3)',
-          'eiPI(iiP4)',
-          'qlPc(iiP1)',
-          'qlPc(iiP2)',
-          'qlPc(iiP3)',
-          'qlPc(iiP4)',
-          'qnPc(iiP1)',
-          'qnPc(iiP2)',
-          'qnPc(iiP3)',
-          'qnPc(iiP4)',
-          'qpPc(iiP1)',
-          'qpPc(iiP2)',
-          'qpPc(iiP3)',
-          'qpPc(iiP4)',
-	'sunPI(iiP1)','sunPI(iiP2)','sunPI(iiP3)','sunPI(iiP4)',
-/
-
-!EOC
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
-! MODEL  BFM - Biogeochemical Flux Model
-!-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 3743)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist	(revision 3744)
@@ -25,7 +25,7 @@
 !-----------------------------------------------------------------------
    nn_no       =       0   !  job number
-   cn_exp      =  "GYRE"   !  experience name 
+   cn_exp      = "GYRE_BFM"!  experience name 
    nn_it000    =       1   !  first time step
-   nn_itend    =    12   !  last  time step
+   nn_itend    =    4320   !  last  time step
    nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
@@ -38,5 +38,5 @@
    nn_istate   =       0   !  output the initial state (1) or not (0)
    nn_stock    =    4320   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =      12   !  frequency of write in the output file   (modulo referenced to nn_it000)
+   nn_write    =     120   !  frequency of write in the output file   (modulo referenced to nn_it000)
    ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
    ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
@@ -252,5 +252,5 @@
    ln_qsr_rgb  = .false.   !  RGB (Red-Green-Blue) light penetration
    ln_qsr_2bd  = .true.    !  2 bands              light penetration
-   ln_qsr_bio  = .false.   !  bio-model light penetration
+   ln_qsr_bio  = .true.   !  bio-model light penetration
    nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top	(revision 3743)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_top	(revision 3744)
@@ -11,6 +11,6 @@
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
    nn_dttrc      =  1        !  time step frequency for passive sn_tracers      
-   nn_writetrc   =  360     !  time step frequency for sn_tracer outputs
-   ln_top_euler  = .true.   !  use Euler timestepping at first step (T) or not (F)
+   nn_writetrc   =  0        !  time step frequency for sn_tracer outputs
+   ln_top_euler  = .true.    !  use Euler timestepping for TOP
    ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
    nn_rsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
@@ -67,28 +67,13 @@
 
 !-----------------------------------------------------------------------
-&namtrc_dta
+&namtrc_dta    ! initial conditions
 !-----------------------------------------------------------------------
-!              ! file name                ! frequency (hr) ! variable ! time interp. ! clim    !'yearly' or ! weights  ! rotation
-!              !                          !  (if <0 mon)   !   name   !  (logical)   ! (T/F)   ! 'monthly'  ! filename ! pairing
-   sn_trcdta(1)  = 'data_O2_nomask'       ,        -1      ,  'O2'      ,    .true.  , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(2)  = 'data_PO4_nomask'      ,        -1      ,  'PO4'     ,    .true.  , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(3)  = 'data_NO3_nomask'      ,        -1      ,  'NO3'     ,    .true.  , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(6)  = 'data_Si_nomask'       ,        -1      ,  'Si'      ,    .true.  , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(43) = 'data_DOC_nomask'      ,        -12     ,  'DOC'     ,    .false. , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(49) = 'data_DIC_nomask'      ,        -12     ,  'DIC'     ,    .false. , .true.  , 'yearly'   , ''       , ''
-   sn_trcdta(50) = 'data_Alkalini_nomask' ,        -12     ,  'Alkalini',    .false. , .true.  , 'yearly'   , ''       , ''
-   !
-   cn_dir       = './'     !  root directory for the location of the input files
 /
 
 !-----------------------------------------------------------------------
-&namtrc_bc
+&namtrc_bc     ! boundary conditions
 !-----------------------------------------------------------------------
-!              ! file name                ! frequency (hr) ! variable ! time interp. ! clim    !'yearly' or ! weights  ! rotation
-!              !                          !  (if <0 mon)   !   name   !  (logical)   ! (T/F)   ! 'monthly'  ! filename ! pairing
-   sn_trcsbc(3)  = 'ndeposition.orca.nc'  ,        -12     ,  ''      ,    .true.  , .true.  , 'yearly'   , ''       , ''
-   !
-   cn_dir       = './'     !  root directory for the location of the boundary condition files
 /
+
 !-----------------------------------------------------------------------
 &namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
@@ -96,4 +81,5 @@
 !----------------------------------------------------------------------
 /
+
 !-----------------------------------------------------------------------
 &namtrc_dia       !   parameters for passive tracer additional diagnostics
Index: /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/README
===================================================================
--- /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/README	(revision 3743)
+++ /branches/2012/dev_MERGE_2012/NEMOGCM/CONFIG/GYRE_BFM/README	(revision 3744)
@@ -1,4 +1,65 @@
-To compile with the BFM:
-export BFMDIR=path/to/bfm
-cd ..
-./makenemo -n GYRE_BFM -m ARCHFILE -e $BFMDIR/src/nemo -j 8
+-----------------------------------------------------------------------
+Coupling with the Biogeochemical Flux Model (BFM)
+-----------------------------------------------------------------------
+Author: M. Vichi, BFM system team and NEMO system team
+INFO HELPDESK: info@bfm-community.eu
+WEB SITE: www.bfm-community.eu
+REVISION DATE: January 2013
+
+Please address any technical query to the BFM System Team 
+bfm_st@lists.cmcc.it
+-----------------------------------------------------------------------
+
+-----------------------------------------------------------------------
+What is the BFM?
+-----------------------------------------------------------------------
+The Biogeochemical Flux Model (BFM) is a numerical model for the 
+simulation of the dynamics of major biogeochemical properties 
+in marine ecosystems.  The BFM is open source software freely available 
+under the GNU Public License. The model can be used in standalone mode 
+to simulate a 0-D system or coupled with other OGCM.
+The coupling with NEMO is maintained by CMCC as part of the 
+NEMO system team activity
+
+-----------------------------------------------------------------------
+How to get the BFM code
+-----------------------------------------------------------------------
+The code can be downloaded from http://www.bfm-community.eu after
+the registration of a new user. Follow the instructions on how to 
+install the code. It is recommended to run the STANDALONE test cases 
+before using the NEMO-BFM coupled system.
+
+-----------------------------------------------------------------------
+Compile NEMO with the BFM 
+-----------------------------------------------------------------------
+Make sure that the BFMDIR variable is defined in your environment
+(ex: export BFMDIR=path/to/bfm)
+Define the variable NEMODIR pointing to the root of NEMO source code
+(ex: export NEMODIR=path/to/nemo)
+
+Go to the $BFMDIR/build directory and modify the script
+config_GYRE_BFM.sh
+adding the appropriate ARCHFILE that is used for the NEMO compilation.
+The script will generate the BFM code and then launch makenemo
+to build the executable in this directory.
+
+Once the BFM code has been generated the first time, the code can be 
+rebuilt with the following command:
+./makenemo -n GYRE_BFM -m ARCHFILE -e $BFMDIR/src/nemo 
+
+-----------------------------------------------------------------------
+Standard test case
+-----------------------------------------------------------------------
+The distributed standard test case is GYRE_BFM, a version of GYRE
+with a full-blown BFM. It is a demnstration simulation and it is not
+meant to produce any published result. The namelistsfor the BFM are 
+not distributed with NEMO but are found in the BFM tree, in
+directory $BFMDIR/run/nemo/GYRE_BFM. The user can either copy the content
+of $NEMODIR/NEMOGCM/CONFIG/GYRE_BFM/EXP00 in this directory or the
+other way around. GYRE_BFM runs with analytical input data only.
+
+-----------------------------------------------------------------------
+Other examples
+-----------------------------------------------------------------------
+Other couplings with NEMO are available in $BFMDIR/run/nemo/.
+Please refer to the README file in each directory for more information.
